| Home | Libraries | People | FAQ | More

## Class bad_function_call

boost::bad_function_call — An exception type thrown when an instance of a `function` object is empty when invoked.

## Synopsis

    class bad_function_call : public std::runtime_error {
    public:
      // construct/copy/destruct
      bad_function_call();
    };

## Description

### `bad_function_call` public construct/copy/destruct

1.     bad_function_call();

   Effects: | Constructs a `bad_function_call` exception object.